Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.html.jsp.datatags
Class ShowDefinitionTag

`java.lang.Object
javax.servlet.jsp.tagext.TagSupport
oracle.jbo.html.jsp.datatags.ShowTagBase
oracle.jbo.html.jsp.datatags.ShowDefinitionTag`

All Implemented Interfaces:
  javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, java.io.Serializable, javax.servlet.jsp.tagext.Tag

public class ShowDefinitionTag
extends ShowTagBase

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `COLUMNNAME_PARAM`
`static java.lang.String` | `COLUMNNAMEFORQUERY_PARAM`
`static java.lang.String` | `DISPLAYRENDERER_PARAM`
`static java.lang.String` | `EDITRENDERER_PARAM`
`static java.lang.String` | `JAVATYPE_PARAM`
`static java.lang.String` | `KIND_PARAM`
`static java.lang.String` | `MANDATORY_PARAM`
`static java.lang.String` | `NAME_PARAM`
`static java.lang.String` | `PRECISION_PARAM`
`static java.lang.String` | `PRIMARYKEY_PARAM`
`static java.lang.String` | `QUERIABLE_PARAM`
`static java.lang.String` | `SCALE_PARAM`
`protected java.lang.String` | `sDefItem`
`static java.lang.String` | `SQLTYPE_PARAM`
`static java.lang.String` | `UPDATEABLE_PARAM`

Fields inherited from class oracle.jbo.html.jsp.datatags.ShowTagBase
`binding, dataitem, datasource, ds, modelReference`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`ShowDefinitionTag()`

Method Summary
`int` | `doStartTag()`
`void` | `setDefinition(java.lang.String sValue)`

Methods inherited from class oracle.jbo.html.jsp.datatags.ShowTagBase
`doEndTag, getAttributeDef, initializeUsingModelReference, isUsingBindings, setDataitem, setDatasource, setModel`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAME_PARAM

    public static final java.lang.String NAME_PARAM

  See Also:
    Constant Field Values

### COLUMNNAME_PARAM

    public static final java.lang.String COLUMNNAME_PARAM

  See Also:
    Constant Field Values

### COLUMNNAMEFORQUERY_PARAM

    public static final java.lang.String COLUMNNAMEFORQUERY_PARAM

  See Also:
    Constant Field Values

### JAVATYPE_PARAM

    public static final java.lang.String JAVATYPE_PARAM

  See Also:
    Constant Field Values

### SQLTYPE_PARAM

    public static final java.lang.String SQLTYPE_PARAM

  See Also:
    Constant Field Values

### SCALE_PARAM

    public static final java.lang.String SCALE_PARAM

  See Also:
    Constant Field Values

### PRECISION_PARAM

    public static final java.lang.String PRECISION_PARAM

  See Also:
    Constant Field Values

### QUERIABLE_PARAM

    public static final java.lang.String QUERIABLE_PARAM

  See Also:
    Constant Field Values

### PRIMARYKEY_PARAM

    public static final java.lang.String PRIMARYKEY_PARAM

  See Also:
    Constant Field Values

### MANDATORY_PARAM

    public static final java.lang.String MANDATORY_PARAM

  See Also:
    Constant Field Values

### UPDATEABLE_PARAM

    public static final java.lang.String UPDATEABLE_PARAM

  See Also:
    Constant Field Values

### KIND_PARAM

    public static final java.lang.String KIND_PARAM

  See Also:
    Constant Field Values

### DISPLAYRENDERER_PARAM

    public static final java.lang.String DISPLAYRENDERER_PARAM

  See Also:
    Constant Field Values

### EDITRENDERER_PARAM

    public static final java.lang.String EDITRENDERER_PARAM

  See Also:
    Constant Field Values

### sDefItem

    protected java.lang.String sDefItem

Constructor Detail

### ShowDefinitionTag

    public ShowDefinitionTag()

Method Detail

### setDefinition

    public void setDefinition(java.lang.String sValue)

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `ShowTagBase`
  Throws:
    `javax.servlet.jsp.JspException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.